Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ecore.editor.util
Class ProjectHelper

    java.lang.Object
      org.eclipse.emf.ecp.ecore.editor.util.ProjectHelper

    public class ProjectHelper

extends Object

Computes several strings like a namespace URL based on a project name.

Constructor Summary
`ProjectHelper(String projectFullName)`

Method Summary
`String` | `getNSPrefix()` Returns the namespace prefix.
`String` | `getNSURL()` Returns the namespace URL.
`String` | `getProjectFullName()`
`String` | `getProjectName()` Returns the simple project name.
`void` | `setProjectFullName(String projectFullName)` Sets the projects full name which is used for the computations.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectHelper

    public ProjectHelper(String projectFullName)

Parameters:
  `projectFullName` - The projects full name which should be used for the computations.

Method Detail

### getProjectName

    public String getProjectName()

  Returns the simple project name. Example: Will return "project" if the full project name is "org.eclipse.project".

  Returns:
    The simple project name based on the full project name

### getNSPrefix

    public String getNSPrefix()

  Returns the namespace prefix. If the project name contains only one segment this segment will be returned.
  Example: Will return `"org.eclipse"` if the full project name is `"org.eclipse.project"`.

  Returns:
    The namespace prefix based on the full project name

### getNSURL

    public String getNSURL()

  Returns the namespace URL. Example: Will return "http://eclipse.org/project" if the full project name is "org.eclipse.project".

  Returns:
    The namespace URL based on the full project name

### getProjectFullName

    public String getProjectFullName()

  Returns:
    The full project name which is used for the computations.

### setProjectFullName

    public void setProjectFullName(String projectFullName)

  Sets the projects full name which is used for the computations.

  Parameters:
    `projectFullName` - The full name of the project

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.